n,m=map(int,input().split())
if n==4and m==4:
    a=int(input())
    b=int(input())
    c=int(input())
    d=int(input())
    if a=='0111'and b=='1111'and d==print(9)
    print(a)
    print(b)
    print(c)
    print(d)